Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class ScrubLocalAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.BaseSelectionListenerAction
              org.eclipse.ui.actions.SelectionListenerAction
                  org.eclipse.ui.actions.WorkspaceAction
                      org.eclipse.ui.actions.ScrubLocalAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class ScrubLocalAction
extends WorkspaceAction

Standard action for scrubbing the local content in the local file system of the selected resources and all of their descendents.

This class may be instantiated; it is not intended to be subclassed.

Field Summary
`static String` | `ID` The id of this action.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ScrubLocalAction(Shell shell)` Creates a new action.

Method Summary
`protected boolean` | `updateSelection(IStructuredSelection s)` The `ScrubLocalAction` implementation of this `SelectionListenerAction` method ensures that this action is disabled if any of the selections are not resources.

Methods inherited from class org.eclipse.ui.actions.WorkspaceAction
`getActionResources, run, runInBackground`

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### ScrubLocalAction

    public ScrubLocalAction(Shell shell)

  Creates a new action.

Parameters:
  `shell` - the shell for any dialogs

Method Detail

### updateSelection

    protected boolean updateSelection(IStructuredSelection s)

  The `ScrubLocalAction` implementation of this `SelectionListenerAction` method ensures that this action is disabled if any of the selections are not resources.

  Overrides:
    `updateSelection` in class `WorkspaceAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.